Subject: Re: [RFC PATCH 0/4] Remove some e500/MPC85xx evaluation platforms

From: Paul Gortmaker <[email-masked]>
Date: Mon, 17 Apr 2023 11:00:02 -0400

[RE: [RFC PATCH 0/4] Remove some e500/MPC85xx evaluation platforms] On 14/04/2023 (Fri 23:29) Leo Li wrote:

> 
> 
> > -----Original Message-----
> > From: Michael Ellerman <[email-masked]>
> > Sent: Thursday, April 13, 2023 9:14 PM
> > To: Leo Li <[email-masked]>; Paul Gortmaker
> > <[email-masked]>
> > Cc: Scott Wood <[email-masked]>; Paul Mackerras <[email-masked]>;
> > Claudiu Manoil <[email-masked]>; [email-masked];
> > Pali Roh??r <[email-masked]>
> > Subject: Re: [RFC PATCH 0/4] Remove some e500/MPC85xx evaluation
> > platforms
> > 
> > Li Yang <[email-masked]> writes:
> > > On Tue, Feb 21, 2023 at 1:52???PM Paul Gortmaker
> > > <[email-masked]> wrote:
> > >>
> > >> [This RFC is proposed for v6.4 and hence is based off linux-next.]
> > >>
> > >> In a similar theme to the e300/MPC83xx evaluation platform
> > >> removal[1], this targets removal of some 13 --> 21 year old
> > >> e500/MPC85xx evaluation boards that were produced in limited numbers
> > >> and primarily made available to hardware/software developers to shape
> > their own boards and BSPs.
> > >
> > > These e500 platforms are similar to the e300 platforms that they are
> > > still being shipped, the targeting market probably caused it to have a
> > > longer life cycle.
> > >
> > ...
> > >
> > > The difference here from the e300 platforms is that MPC8540ADS,
> > > MPC8560ADS, MPC8548CDS, MPC8568-MDS are the only reference
> > platforms
> > > supplied by us for these SoCs.  We don't have a separation of
> > > evaluation platforms vs product-like platforms like we did later.
> > > That probably means even if they don't look like "hobbyist" friendly
> > > they are more likely to be still in use.
> > 
> > OK. But what is the chance anyone is booting upstream kernels on them?
> 
> We do still have these parts shipped, which means that there are definitely active users of these silicons.  But it is really hard to say how many of they are running latest upstream kernel.  IMO, if the nature of the application is critical it is likely they will need to update the kernel to get all the security fixes.  And the reference board will be helpful as a starting point when they update the kernel.

I think the right thing to do here with this series is to remove the
super ancient 20+ year old MPC8540ADS and MPC8560ADS; and leave the
slightly more modern ones for another day in the future.

I don't think anyone can realistically argue against that?

Paul.
--

> 
> > 
> > I assume no one at NXP is testing upstream on those boards?
> 
> To be frank they are not included in the routine tests carried out by the development team now which is not ideal to me.  But I think the support team are probably willing to help on issues with latest kernel when needed.
> 
> Regards,
> Leo